#include <Application.h>
#include <Alert.h>
#include <StorageKit.h>

#include "URL_Window.h"

#ifndef _URL_PREFS_APP_
#define _URL_PREFS_APP_

class URL_App : public BApplication	
{
public:
						URL_App			(void);
						~URL_App		(void);

		virtual void	ReadyToRun		(void);
		virtual void	MessageReceived	(BMessage	*	a_message);
		virtual void	AboutRequested	(void);

private:

		void			PrintErrorMessage		(const char	*	a_text, int32 a_status);
		status_t		CreateSettingsFile		(void);
		void			InstallTypesIfMissing	(void);
	
		BFile			*	m_settings_file;
		URL_Window		*	m_url_window;
};

#endif
